Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Protected Attributes | List of all members
eZ\Publish\API\Repository\Values\ObjectState\ObjectStateGroup Class Reference
Inheritance diagram for eZ\Publish\API\Repository\Values\ObjectState\ObjectStateGroup:

## Protected Attributes
| $id
| $identifier
| $defaultLanguageCode
| $languageCodes

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Public Member Functions inherited from eZ\Publish\SPI\Repository\Values\MultiLanguageName
| getNames ()
| Return the human readable name in all provided languages. More...
| getName ($languageCode=null)
| Return the name of the domain object in a given language. More...
Public Member Functions inherited from eZ\Publish\SPI\Repository\Values\MultiLanguageDescription
| getDescriptions ()
| Return the human readable description in all provided languages. More...
| getDescription ($languageCode=null)
| Return the human readable description of the domain object in a given language. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 21 of file API/Repository/Values/ObjectState/ObjectStateGroup.php.

## Member Data Documentation

## ◆ $defaultLanguageCode

eZ\Publish\API\Repository\Values\ObjectState\ObjectStateGroup::$defaultLanguageCode
| protected

Definition at line 42 of file API/Repository/Values/ObjectState/ObjectStateGroup.php.

## ◆ $id

eZ\Publish\API\Repository\Values\ObjectState\ObjectStateGroup::$id
| protected

Definition at line 28 of file API/Repository/Values/ObjectState/ObjectStateGroup.php.

## ◆ $identifier

eZ\Publish\API\Repository\Values\ObjectState\ObjectStateGroup::$identifier
| protected

Definition at line 35 of file API/Repository/Values/ObjectState/ObjectStateGroup.php.

## ◆ $languageCodes

eZ\Publish\API\Repository\Values\ObjectState\ObjectStateGroup::$languageCodes
| protected

Definition at line 49 of file API/Repository/Values/ObjectState/ObjectStateGroup.php.

The documentation for this class was generated from the following file:

- API/Repository/Values/ObjectState/ObjectStateGroup.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.